Ryzom - Feature # 1130

Status: Closed Priority: Normal
Author: rti Category: OS: Mac
Created: 10/14/2010 Assignee: rti
Updated: 11/05/2010 Due date:

Subiject: Merge cocoa_adapter.mm code into driver_opengl*.cpp

Description

It should be possible to include the obj-c++ code for the cocoa opengl stuff in the driver_opengl*.cpp files since CMake can set

compiler options per file:

SET_SOURCE_FILES_PROPERTIES(file.cop PROPERTIES COMPILE_FLAGS "--some-option")

This way gcc could be provided with the following additional option when compiling the file containing obj-c++ code on Mac OS X.

-x objective-c++

This would combine the driver code in one class, allowing the cocoa code to use CDriver members like window size and so on.

History

#1 - 10/15/2010 01:24 pm - rti
- Assignee set to rti

#2 - 10/15/2010 11:36 pm - rti

- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r934.

#3 - 10/15/2010 11:37 pm - rti

- Target version changed from Version 0.9.0 to Version 0.8.0

#4 - 11/05/2010 02:39 pm - rti

- Status changed from Resolved to Closed
